﻿﻿var appVersion = "4.2_012890";
var link = 'http://192.168.8.1/';
var is4G = false;
var is4Gplus = false;
var is2G = false;
var is3G = false;
var rscp = 0;

// 4G Bands 
var b1 = 0x1;              // fdd 2100
var b2 = 0x2;              // fdd 1900
var b3 = 0x4;              // fdd 1800
var b4 = 0x8;              // fdd 1700
var b5 = 0x10;             // fdd 850
var b7 = 0x40;             // fdd 2600
var b8 = 0x80;             // fdd 900
var b19 = 0x40000;         // fdd 850
var b20 = 0x80000;         // fdd 800
var b26 = 0x2000000;       // fdd 850
var b28 = 0x8000000;       // fdd 700
var b32 = 0x80000000;      // fdd 1500
var b38 = 0x2000000000;    // tdd 2600
var b40 = 0x8000000000;    // tdd 2300
var b41 = 0x10000000000;   // tdd 2500
var b42 = 0x20000000000;   // tdd 3500

yb=1208925819614629174706176;
zb=1180591620717411303424;
eb=1152921504606846976;
pb=1125899906842624;
tb=1099511627776;
gb=1073741824;
mb=1048576;
kb=1024;


//init(link,'',admin,pass,1);
function Main() {
	syncDeviceStatus();
	readBack();
}


//init(link,'',admin,pass,1);
function Main() {
	status();
	signal();
    getDeviceInfo();
	signalpara();
	plmn();
	netmode();
	traffic();
}


function traffic() {
	$.get(link + 'api/monitoring/traffic-statistics', function (data) { //api/device/signal
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
	     $('#time').html(getTime($xml.find('CurrentConnectTime').text()));
		$('#DownRate').html(dataCon($xml.find('CurrentDownloadRate').text()) + "/s");
		$('#UpRate').html(dataCon($xml.find('CurrentUploadRate').text()) + "/s");
		$('#Download').html(dataCon($xml.find('CurrentDownload').text()));
		$('#Upload').html(dataCon($xml.find('CurrentUpload').text()));
		var up = $xml.find('TotalUpload').text() * 1;
		var down = $xml.find('TotalDownload').text() * 1;
		$('#updown').html(dataCon(up + down)+ "");
		setTimeout(Main, 100);
	});
}


function signal() {
	$.ajax({
         url: link + 'api/device/signal',
         headers : {
			"__RequestVerificationToken" : Token //,
			//"Cookie" : Season
		},
         success: function (data) {
			var xml = data,
			xmlDoc = $.parseXML(xml),
			$xml = $(xmlDoc);
                 
			$('#pcival').html(($xml.find('pci').text() == "" ? $xml.find('sc').text() : $xml.find('pci').text()));
			$('#cidval').html($xml.find('cell_id'));
             if($xml.find('rssi').text() == ""){
		      	   $('#rssi').html("0dBm");       
                    $('#pcival').hide();                 
                    $('#cidval').hide();
                    $('#pcin').show();
                    $('#cidn').show();
		      } else{
                    $('#pcin').hide();
                    $('#cidn').hide();
                    $('#cidval').show();
                    $('#pcival').show();
				   $('#rssi').html($xml.find('rssi').text());
			}
                   

 if($xml.find('dlbandwidth').text() == ""){ 
  	$('#bw').hide();
} else{ 
	  $('#bw').show();
}

if(is2G == true){
     $('#rssih').hide();
} else {
  $('#rssih').show();
}

if($xml.find('rsrp').text() == ""){
				$('#rsrqtr').hide();
				$('#rsrqtr2').hide();
				$('#rsrqtr3').hide();        
}  else {
                $('#rsrqtr').show();
				$('#rsrqtr2').show();
				$('#rsrqtr3').show();
}
               
                    //Create graphical
				var rsrpDbm=$xml.find('rsrp').text();
				rsrpDbm=parseInt(rsrpDbm.substring(0,rsrpDbm.length-3));

				var rsrqDbm=$xml.find('rsrq').text();
				rsrqDbm=parseInt(rsrqDbm.substring(0,rsrqDbm.length-2));

				var sinrDbm=$xml.find('sinr').text();
				//if sinr more than 30db
				if (sinrDbm == ">=30db")
				{
					sinrDbm="30";
					sinrDbm=parseInt(sinrDbm);
				}
				else{
				sinrDbm=parseInt(sinrDbm.substring(0,sinrDbm.length-2));
				}

				var rsrpPercen=140+rsrpDbm;
				rsrpPercen=rsrpPercen/70*100;
				rsrpPercen=Math.round(rsrpPercen);
			    var rsrpPercenW  =rsrpPercen.toString();
			   //rsrpPercenW=rsrpPercenW + "";
			    rsrpPercenW=rsrpPercenW + "%";
				//rsrpPercen=Math.abs(rsrpPercen);
				
          
				var rsrpStr="";
				if (rsrpDbm <= -120) {
					rsrpStr="Poor";
					$('#rsrpreading').css("background-color","#A21206");
				} else if (rsrpDbm <= -90) {
					rsrpStr="Average";
					$('#rsrpreading').css("background-color","#CB7F00");
				} else if (rsrpDbm <= -80) {
					rsrpStr="Good";
					$('#rsrpreading').css("background-color","#06A91E");
				} else if(rsrpDbm >= -80)  {
					rsrpStr="Excellent";
					$('#rsrpreading').css("background-color","#06A21E");
				} else {
                    rsrpStr="Rating";
                }

				var rsrqPercen=20+rsrqDbm;
				rsrqPercen=rsrqPercen/20*100;
				rsrqPercen=Math.round(rsrqPercen);
				var rsrqPercenW=rsrqPercen.toString();
				rsrqPercenW=rsrqPercenW + "%";
				//rsrqPercenW=rsrqPercenW + "";

				var rsrqStr="";
				if (rsrqDbm <= -20) {
					rsrqStr="Poor";
					$('#rsrqreading').css("background-color","#A21206");
				} else if (rsrqDbm <= -10) {
					rsrqStr="Average";
					$('#rsrqreading').css("background-color","#CB7F00");
				} else if (rsrqDbm <= -5) {
					rsrqStr="Good";
					$('#rsrqreading').css("background-color","#06A91E");
				} else if(rsrqDbm >= -5) {
					rsrqStr="Excellent";
					$('#rsrqreading').css("background-color","#06A21E");
			   } else {
                    rsrqStr="Rating";
                }

				var sinrPercen=sinrDbm;
				sinrPercen=sinrPercen/30*100;
				sinrPercen=Math.round(sinrPercen);
				var sinrPercenW=sinrPercen.toString();
				sinrPercenW=sinrPercenW + "%";
				//sinrPercenW=sinrPercenW + "";

				var sinrStr="";
				if (sinrDbm <= 5) {
					sinrStr="Poor";
					$('#sinrreading').css("background-color","#A21206");
				} else if (sinrDbm <= 15) {
					sinrStr="Average";
					$('#sinrreading').css("background-color","#CB7F00");
				} else if (sinrDbm <= 25) {
					sinrStr="Good";
					$('#sinrreading').css("background-color","#06A91E");
				} else if(sinrDbm >= 25){
					sinrStr="Excellent";
					$('#sinrreading').css("background-color","#06A21E");
				} else {
                    sinrStr="Rating";
                }

				$('#rsrp').html(rsrpDbm + "dB");
				$('#rsrq').html(rsrqDbm + "dB");
				$('#sinr').html(sinrDbm + "dB");

				$('#rsrpreading').css("width",rsrpPercenW);
		    	$('#rsrqreading').css("width",rsrqPercenW);
				$('#sinrreading').css("width",sinrPercenW);

                 $('#rsrpp').html(rsrpPercenW);
                 $('#rsrqp').html(rsrqPercenW);
                 $('#sinrp').html(sinrPercenW);
                 
				$('#rsrpIndicator').html(rsrpStr);
				$('#rsrqIndicator').html(rsrqStr);
				$('#sinrIndicator').html(sinrStr);
      
            $('#dlbandwidth').html($xml.find('dlbandwidth').text());
			$('#ulbandwidth').html($xml.find('ulbandwidth').text());
			if($xml.find('nei_cellid').text() == ""){	
			    $('#nei_cellidtr').hide();
			}else{
				$('#nei_cellidtr').show();
				$('#nei_cellid').html($xml.find('nei_cellid').text());
			}	
			if($xml.find('txpower').text() == ""){
				$('#txpowertr').hide();
			}else{
				$('#txpowertr').show();
				$('#txpower').html($xml.find('txpower').text());

			}
			if($xml.find('Rscp').text() != ""){
				$('#rsrqtr4').hide();
				$('#rsrqtr5').hide();
				$('#rscp').html($xml.find('Rscp').text());
				rscp = 1;
			} else {
				$('#rsrqtr4').show();
				$('#rsrqtr5').show();
            }
			
			// if need login
			if ($xml.find('code').text() != "") {
				//init(link,"",admin,pass,true);
			}
		 }
      });
}


function signalpara() {
	$.get(link + 'api/net/signal-para', function (data) {
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
		if(rscp == 0){$('#rscp').html($xml.find('Rscp').text());rscp = 0;}
		$('#ecio').html($xml.find('Ecio').text());
	});
}


function status() {
	$.get(link + 'api/monitoring/status', function (data) {
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
	
		$('#signal')[0].src = "images/signal0" + $xml.find('SignalIcon').text() + ".png";
		$('#RoamingStatus').html(($xml.find('RoamingStatus').text() == 0 ? "No" : "Yes"));
		($xml.find('BatteryStatus').text() == 0 ? $('#charging').hide() : $('#charging').show());
                  
         if($xml.find('WanIPAddress').text() == ""){
            $('#ip').html(ip2);
		 }else{
			$('#ip').html($xml.find('WanIPAddress').text());
		 }

		 if($xml.find('ConnectionStatus').text() != "901"){
		   $('#ip').html('Unknown');  
		 } else if($xml.find('ConnectionStatus').text() == ""){
		   $('#conn').html('Disconnected');  
		 } else {
	      $('#conn').html(conMod($xml.find('ConnectionStatus').text()));
         }
	
	     cnte = $xml.find('CurrentNetworkTypeEx').text();
	   
          if($xml.find('CurrentWifiUser').text() == ""){
		     $('#WifiUsers').html("0");
		} else {
		 $('#WifiUsers').html($xml.find('CurrentWifiUser').text());} 
	     
		 // check error
		 if ($xml.find('code').text() != "") {
			$("#frame").attr('src', link + 'html/home.html');
		 }
	});
}


function getDeviceInfo() {
	$.get(link + 'api/device/information', function (data) {
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
devn = $xml.find('DeviceName').text();
$('#modemmodel').html(devn);
ip2 = $xml.find('WanIPAddress').text();
$('#imei').html(conMod($xml.find('Imei').text()));
$('#imsi').html(conMod($xml.find('Imsi').text()));
$('#serial').html(conMod($xml.find('Serial').text()));
if($xml.find('Msisdn').text() == ""){
   $('#number').html('Unknown');        
} else{
   $('#number').html(conMod($xml.find('Msisdn').text()));
}
$('#hardware').html(conMod($xml.find('HardwareVersion').text()));
$('#software').html(conMod($xml.find('SoftwareVersion').text()));
$('#webui').html(conMod($xml.find('WebUIVersion').text()));
$('#mac1').html(conMod($xml.find('MacAddress1').text()));
$('#mac2').html(conMod($xml.find('MacAddress2').text()));
$('#productfam').html(conMod($xml.find('ProductFamily').text()));
$('#classify').html(conMod($xml.find('Classify').text()));

if(devn == "B310As-852" || devn == "B310s-518" || devn == "B315s-22" || devn == "B310s-22" || devn == "B525s-65a" || devn == "B525s-23a" || devn == "B525s-95a" || devn == "B310s-927" || devn == "B315s-936" || devn == "B310As-938"){
$('#n1')[0].style.display= '';  //Show USSD
$('#n4')[0].style.display= ''; // Show Domain Name Filter
$('#n6')[0].style.display= ''; // Show Antenna Config
$('#n7')[0].style.display= ''; // Show Device Mangement
$("#navi")[0].style.pointerEvents=''; 
$(".lockFreq")[0].style.pointerEvents='';
} else if(devn == "E5573s-606" || devn == "E5573Cs-933" || devn =="E5330Bs-2"){
$('#n3')[0].style.display=''; //Show Wifi extender
$("#navi")[0].style.pointerEvents='';
$(".lockFreq")[0].style.pointerEvents='';
}  else{
$("#navi")[0].style.pointerEvents='';
$(".lockFreq")[0].style.pointerEvents='';
}
		});
} 


function plmn() {
	$.get(link + 'api/net/current-plmn', function (data) {
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
		
if($xml.find('Rat').text() == ""){
           $('#band')[0].style.display = 'none';
  	       $('#brand').html('Unknown');  
           $('#conn').html('Disconnected');  
           $('#mode').html('No service');  
           $('#netmode').html('No network');   
} else {
          $('#mode').html(netType(cnte));  
		  $('#netmode').html(netMod($xml.find('Rat').text()));
   	   $('#band')[0].style.display = '';
          if($xml.find('FullName').text() == ""){
                     $('#brand').html($xml.find('ShortName').text());
		  } else {
                 	$('#brand').html($xml.find('FullName').text());
         } 
}
	});
}


function netmode() {
	$.get(link + 'api/net/net-mode', function (data) {
		var xml = data,
		xmlDoc = $.parseXML(xml),
		$xml = $(xmlDoc);
        if (is4G == true){
			$('#band').html(_4GType($xml.find('LTEBand').text())); 
		} else{
			$('#band').html(_2G_3G_Type($xml.find('NetworkBand').text())); 
		}
	});
}


function set2G(){
	refresh('01','3FFFFFFF','7FFFFFFFFFFFFFFF');
}


function set3G(){
	refresh('02','3FFFFFFF','7FFFFFFFFFFFFFFF');
}


function set4G(){
	refresh('03','3FFFFFFF','7FFFFFFFFFFFFFFF');
}


function refresh(val,val2,val3){
		$.ajax({
		url : link + 'api/net/net-mode',
		type : 'post',
		data : '<?xml version="1.0" encoding="UTF-8"?><response><NetworkMode>'+val+'</NetworkMode><NetworkBand>'+val2+'</NetworkBand><LTEBand>'+val3+'</LTEBand></response>',
		headers : {
			"__RequestVerificationToken" : Token
		},
		dataType : 'xml',
		success : function (data, textStatus, request) {
			$('.btn').prop("disabled",false);
			
  
			getTok();
			var res = data;
			if (data.firstChild.textContent == "OK") {
				msg("Success.");
			} else {
				msg("Failed.");
			}
		},
		error : function (request, textStatus, errorThrown) {
			$('.btn').prop("disabled",false);
			
	
			msg("Error dialing.");
			getTok();
		}
	});
}


function conMod(mode) {
	switch (mode) {
		case "900":
			return "Connecting...";
			break;
		case "901":
			return "Connected";
			break;
		case "902":
			return "Disconnected";      
			break;
		case "903":
			return "Disconnecting...";
			break;
		case "905":
			return "No service";
			break;
		case "906":
			return "Error";
			break;
       case "33":
			return "Disconnected"; // Invalid Profile
			break;
      case "0":
			return "Disconnected"; // Blocked
			break;
		default:
			return mode;
	}
}


function netMod(mode) {	
	switch (mode) {
		case "0":
			is2G = true;
			is3G = false;
			is4G = false;
          is4Gplus = false;
			return "2G";
			break;
		case "2":
			is2G = false;
			is3G = true;
			is4G = false;
          is4Gplus = false;
			return "3G";
			break;
		case "5":
			is2G = false;
			is3G = true;
			is4G = false;
          is4Gplus = false;
			return "HSPA";
			break;
		case "7":
			is2G = false;
			is3G = false;
			is4G = true;
          is4Gplus = false;
			return "4G";
          break;
      case "8":
			is2G = false;
			is3G = false;
			is4G = false;
          is4Gplus = true;
			return mode;
			break;
		default:
			is2G = false;
			is3G = false;
			is4G = false;
          is4Gplus = false;
			return mode;
	}
}


function getTime(totalSeconds) {
	var hours = Math.floor(totalSeconds / 3600);
	totalSeconds %= 3600;
	var minutes = Math.floor(totalSeconds / 60);
	var seconds = totalSeconds % 60;
    if (minutes < 10) {minutes = "0"+minutes;}
    if (seconds < 10) {seconds = "0"+seconds;}
	return hours + ":" + minutes + ":" + seconds;
}


	function netType(value) {
		//is4G = false;
		var arr1 = ["No service","GSM","GPRS","EDGE","WCDMA","HSDPA","HSUPA","HSPA","TDSCDMA","HSPA +","EVDO rev. 0","EVDO rev. And","EVDO rev. B","1xRTT","UMB","1xEVDV","3xRTT","HSPA + 64QAM","HSPA + MIMO","LTE","IS95","IS95B","CDMA1X","EVDO rev. 0","EVDO rev. And","EVDO rev. B","Hybrid CDMA1X","Hybrid EVDO rev. 0","Hybrid EVDO rev. And","Hybrid EVDO rev. B","EHRPD rev. 0","EHRPD rev. And","EHRPD rev. B","The hybrid EHRPD rev. 0","The hybrid EHRPD rev. And","The hybrid EHRPD rev. B"]
		var arr2 = ["WCDMA","HSDPA","HSUPA","HSPA","HSPA+","DC-HSPA+"]
		if(value == 81){
			return "802.16";
		}else if(value == 101){
			//is4G = true;
            is4Gplus = false;
			return " LTE";
		}else if(value == 1011){
			//is4G = true;
            is4Gplus = true;
			return " LTE+";
		}else if(value<37){
			return " " + arr1[value];
		}else if(value<47 && value>40){
			return " " + arr2[value - 41];
		}else if(value<66 && value>60){
			return " " + arr2[value - 61];
		}else{
			return " " + value;
		}
		return "";
	 }


function _2G_3G_Type(value) {
	switch (value) {
		case "80":
			return " (1800MHz)";
			break;
		case "300":
			return " (900MHz)";
			break;
		case "80000":
			return " (850MHz)";
			break;
		case "400000":
			return " (2100MHz)";
			break;
		case "800000":
			return " (1900MHz)";
			break;
		case "4000000":
			return " (850MHz)";
			break;
		case "2000000000000":
			return " (900MHz)";
			break;
		case "3FFFFFFF":
			return " Auto";
			break;
		case "7FFFFFFFFFFFFFFF":
			return "";
			break;
		default:
			return  "" + value; 
	}
}


function _4GType(value) {
	if(is4G == false){
			return "";
	}
	var lteBand = "-";
	var lbm = parseInt(value, 16);
	if (value == "7FFFFFFFFFFFFFFF") {
			lteBand = " Auto";
     	} else if  (value == "") {
            lteBand = "";
        } else {    
		if ((lbm & b1) != 0) {
			lteBand = lteBand + " B1" + ",";
		}
		if ((lbm & b2) != 0) {
			lteBand = lteBand + " B2" + ",";
		}
		if ((lbm & b3) != 0) {
			lteBand = lteBand + " B3" + ",";
		}
		if ((lbm & b4) != 0) {
			lteBand = lteBand + " B4" + ",";
		}
		if ((lbm & b5) != 0) {
			lteBand = lteBand + " B5" + ",";
		}
		if ((lbm & b7) != 0) {
			lteBand = lteBand + " B7" + ",";
		}
		if ((lbm & b8) != 0) {
			lteBand = lteBand + " B8" + ",";
		}
		if ((lbm & b19) != 0) {
			lteBand = lteBand + " B19" + ",";
		}
		if ((lbm & b20) != 0) {
			lteBand = lteBand + " B20" + ",";
		}
		if ((lbm & b26) != 0) {
			lteBand = lteBand + " B26" + ",";
		}
		if ((lbm & b28) != 0) {
			lteBand = lteBand + " B28" + ",";
		}
		if ((lbm & b32) != 0) {
			lteBand = lteBand + " B32" + ",";
		}
		if (BitwiseAndLarge(lbm, b38) != 0) {
			lteBand = lteBand + " B38" + ",";
		}
		if (BitwiseAndLarge(lbm, b40) != 0) {
			lteBand = lteBand + " B40" + ",";
		}
		if (BitwiseAndLarge(lbm, b41) != 0) {
			lteBand = lteBand + " B41" + ",";
		}
if (BitwiseAndLarge(lbm, b42) != 0) {
			lteBand = lteBand + " B42" + ",";
		}
	} 
		 if (lteBand.substring(lteBand.length - 1, lteBand.length) == ",") {
			 lteBand = lteBand.substring(0, lteBand.length - 1);
		 }
	return lteBand;
}


function BitwiseAndLarge(val1, val2) {
    var shift = 0, result = 0;
    var mask = ~((~0) << 30);
    var divisor = 1 << 30;
    while ((val1 != 0) && (val2 != 0)) {
        var rs = (mask & val1) & (mask & val2);
        val1 = Math.floor(val1 / divisor);
        val2 = Math.floor(val2 / divisor);
        var i = shift++;
        for (i; i--;) {
            rs *= divisor;
        }
        result += rs;
    }
    return result;
}


function dataCon(bytes){ 
if (bytes >= yb) { bytes = (bytes / yb).toFixed(2)*100/100 + " YB"; 
} else if (bytes >= zb) { bytes = (bytes / zb).toFixed(2)*100/100 + " ZB"; 
} else if (bytes >= eb) { bytes = (bytes / eb).toFixed(2)*100/100 + " EB"; 
} else if (bytes >= pb) { bytes = (bytes / pb).toFixed(2)*100/100 + " PB"; 
} else if (bytes >= tb) { bytes = (bytes / tb).toFixed(2)*100/100 + " TB"; 
} else if (bytes >= gb) { bytes = (bytes / gb).toFixed(2)*100/100 + " GB"; 
} else if (bytes >= mb) { bytes = (bytes / mb).toFixed(2)*100/100 + " MB"; 
} else if (bytes >= kb) { bytes = (bytes / kb).toFixed(2)*100/100 + " KB"; 
} else if (bytes > 1) { bytes = bytes + " B"; 
} else if (bytes == 1) { bytes = bytes + " B"; 
} else { bytes = "0 B"; } return bytes; }


function showSlider() {
	$('.slide')[0].style.left = '0px';
	$('.slider')[0].style.width = '100%';
	$('.header')[0].style.position = 'fixed';
	$('.content')[0].style.position = 'fixed';
	var newData = B4A.CallSub('isVisible', true, "true");
}


function hideSlider() {
	$('.slide')[0].style.left = '-255px';
	$('.slider')[0].style.width = '0px';
    $('.header')[0].style.position = '';
	$('.content')[0].style.position = '';
	var newData = B4A.CallSub('isVisible', true, "false");
}


function showM() {
	$('.dropdown-content')[0].style.display = '';
	var newData = B4A.CallSub('isVisible', true, "true");
}


function hideM() {
    $('.dropdown-content')[0].style.display= 'none';
	var newData = B4A.CallSub('isVisible', true, "false");
}


function openPage(url, name) {
	var newData = B4A.CallSub('openPage', true, url, name);
}


/* function display() { 
  var x = document.getElementById("element_id_here");
  if (x.style.display === "none") {
    x.style.display = "block";
  } else {
    x.style.display = "none";
  }
} */


function showInfo(ver) {
	var newData = B4A.CallSub('showInfo', true, ver);
}


// TOGGLE MULTI-FREQ
function toggleFreq() {
    $('.lte2').toggleClass('display');
	$('lte1').toggleClass('nodisplay');
	var newData = B4A.CallSub('isDark', true, $('lte1').attr('class'));    
    var elem = document.getElementById("sif"); 
    if (elem.value=="(Off)") {
      $('#sif')[0].style.color = 'green';
$("#so").prop('checked', 'true'); 
      elem.value = "(On)"; 
    } else {
      $('#sif')[0].style.color = 'red';
      elem.value = "(Off)";
$("#so").removeAttr('checked'); 

 }
}

// FREQUENCY CHECKED FUNCTION
function setBands4G() {
    var val = 0;
    var hex_value = '0';
    if ($("#4G_B20").is(':checked')) {
      val = 80000;
    }
if ($("#4G_B5").is(':checked')) {
      val = val + 10;
    }
    if ($("#4G_B28").is(':checked')) {
      val = val + 8000000;
    }
    if ($("#4G_B8").is(':checked')) {
      val = val + 80;
    }
    if ($("#4G_B3").is(':checked')) {
      val = val + 4;
    }
    if ($("#4G_B1").is(':checked')) {
      val = val + 1;
    }
    if ($("#4G_B40").is(':checked')) {
      val = val + 8000000000;
    }
    if ($("#4G_B41").is(':checked')) {
      val = val + 10000000000;
    }
    if ($("#4G_B38").is(':checked')) {
      val = val + 2000000000;
    }
    if ($("#4G_B42").is(':checked')) {
      val = val + 20000000000;
    }
    if ($("#4G_B7").is(':checked')) {
      hex_value = '' + val;
      val = parseInt(hex_value, 16);
      val = val + 64;
      hex_value = val.toString(16);
    } else {
      hex_value = '' + val;
    }
    if (hex_value == '0') {
      refresh('00','3FFFFFFF','7FFFFFFFFFFFFFFF');
      return;
    }
    if (hex_value == '800C5') {
      refresh('03', '3FFFFFFF', '7FFFFFFFFFFFFFFF');
    } else {
      refresh('03', '3FFFFFFF', '' + hex_value);
    }
	return;
}


// RESET CHECKBOX AFTER SUBMIT
function reset(){
        $("input[type=checkbox]").removeAttr('checked');
        $("input[type=checkbox]").removeAttr('disabled');
}


// BAND SELECTION LIMIT (2 BANDS ONLY)
$("input[type=checkbox]").change(function(){ var max= 3; if( $("input[type=checkbox]:checked").length == max ){ $("input[type=checkbox]").attr('disabled', 'disabled'); $("input[type=checkbox]:checked").removeAttr('disabled'); }else{ $("input[type=checkbox]").removeAttr('disabled'); } });


// FREQUENCY CLICK FUNCTION
$(document).ready(function(){
   // PREFERRED MODE
	$('#btnAuto').click(function(){
		refresh('00','3FFFFFFF','7FFFFFFFFFFFFFFF');
	});
	$('#btn2G').click(function(){
		set2G();
	});
	$('#btn3G').click(function(){
		set3G();
	});
	$('#btn4G').click(function(){
		set4G();
	});	
   // 3G BANDS
	$('#3G_2100').click(function(){
		refresh('02','400000','7FFFFFFFFFFFFFFF');
	});
	$('#3G_900').click(function(){
		refresh('02','2000000000000','7FFFFFFFFFFFFFFF');
	});
	$('#3G_1900').click(function(){
		refresh('02','800000','7FFFFFFFFFFFFFFF');
	});
	$('#3G_850').click(function(){
		refresh('02','4000000','7FFFFFFFFFFFFFFF');
	});	
    //4G BANDS
	// FDD
	$('#4G_2100').click(function(){
		refresh('03','3FFFFFFF','1');
	});
	$('#4G_1800').click(function(){
		refresh('03','3FFFFFFF','4');
	});
	$('#4G_850').click(function(){
		refresh('03','3FFFFFFF','10');
	});
	$('#4G_2600FD').click(function(){
		refresh('03','3FFFFFFF','40');
	});
	$('#4G_900').click(function(){
		refresh('03','3FFFFFFF','80');
	});
	$('#4G_800').click(function(){
		refresh('03','3FFFFFFF','80000');
	});
	$('#4G_700').click(function(){
		refresh('03','3FFFFFFF','8000000');	
	});
	// TDD
	$('#4G_2600TD').click(function(){
		refresh('03','3FFFFFFF','2000000000');
	});
	$('#4G_2300').click(function(){
		refresh('03','3FFFFFFF','8000000000');
	});
	$('#4G_2500').click(function(){
		refresh('03','3FFFFFFF','10000000000');
	});
	$('#4G_3500').click(function(){
		refresh('03','3FFFFFFF','20000000000');
	});	
	$('.btn').click(function(){
		$('.btn').prop("disabled",true);
        return;
	});
   $('#accept4GButton').click(function() {
      setBands4G();  
      reset();
   });
});



// CODED BY OATMEAL